Migrate project to Xcode 7
Closed, ResolvedPublic

Description

<strike>The expected output from this spike is a rough estimate for what it would take to migrate the 5.0 version of the codebase to Swift 2.0.</strike>

So, in light of iOS 9 and iPhone 6S announcement, we decide to bite the bullet to migrate ASAP. This way we can start experimenting w/ new peek & pop functionality.

BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF raised the priority of this task from to Normal.
BGerstle-WMF added a subscriber: BGerstle-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 13 2015, 3:52 PM

Unfortunately, this might also require us to drop iOS 7. Need to discuss.

We decided we'll consider iOS 7 dropped, and if the need arises to continue supporting it, we'll weigh it against all the work we'd have to do to make the project backwards compatible.

Also, regarding Travis, it's available for paying customers only. [0] They'll probably make it available for open-source projects when Xcode 7 is released.

0: https://github.com/travis-ci/travis-ci/issues/4055

Fjalapeno set Security to None.
BGerstle-WMF renamed this task from [SPIKE] Investigate Swift 2.0 migration cost to Migrate project to Xcode 7.Sep 15 2015, 8:09 PM
BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF closed this task as Resolved.Oct 7 2015, 9:25 PM